This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 119094 - gtkam quits after saving file(s) to disk
gtkam quits after saving file(s) to disk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkam (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks: FC2Target FC3Target
  Show dependency treegraph
 
Reported: 2004-03-24 17:31 EST by Christopher Aillon
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 05:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dbglog.tar.bz2 (117.45 KB, application/x-bzip2)
2004-03-26 15:18 EST, Christopher Aillon
no flags Details

  None (edit)
Description Christopher Aillon 2004-03-24 17:31:23 EST
Description of problem:

Using Canon PowerShot S50, if I load gtkam, and try to save any
images, it quits (gdb says it exits normally, not a crash).


Version-Release number of selected component (if applicable):
> rpm -q gtkam gphoto2
gtkam-0.1.10-2.1
gphoto2-2.1.4-2.1


How reproducible: Always


Steps to Reproduce:
1. Connect camera to USB
2. Load gtkam
3. Save images
  
Actual results: Quit

Expected results: not quit :-)

Additional info: It makes no difference whether or not I save an
individual file, or save all files, or anything, as soon as the save
is done, it quits.
Comment 1 Tim Waugh 2004-03-26 05:08:04 EST
Could you run it from the command line as 'gtkam -d 2>dbg.log' and
attach the dbg.log file please?
Comment 2 Christopher Aillon 2004-03-26 15:18:11 EST
Created attachment 98887 [details]
dbglog.tar.bz2

Here you go.
Comment 3 Tim Waugh 2004-03-30 05:13:27 EST
Perhaps it's the CRC functions.  They seem to want to exit(1) in bad
situations (although they output to stderr first).

Could you put a breakpoint on exit() and show me the call trace
please?  Thanks.
Comment 4 Christopher Aillon 2004-04-02 00:48:12 EST
#0  ?? () at ../sysdeps/unix/sysv/linux/i386/_exit.S:25 from
/lib/tls/libc.so.6
#1  0x0805c773 in save_file (save=0x81d33f0, file=0x813d920, n=4294967295)
    at gtkam-save.c:355
#2  0x0805c888 in get_file (save=0x81d33f0, camera=0x813b5f0,
    folder=0x81e5ae0 "/DCIM/101CANON", name=0x81e5af8 "IMG_0157.JPG",
    type=4294967295, n=4294967295, context=0x82123f8) at gtkam-save.c:378
#3  0x0805cced in on_ok_clicked (button=0x80d5f28, save=0x81d33f0)
    at gtkam-save.c:431
#4  0x4f609691 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#5  0x4f5f5160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#6  0x4f609195 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#7  0x4f608157 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#8  0x4f608454 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#9  0x43c4e425 in gtk_button_clicked (button=0x80d5f28) at gtkbutton.c:718
#10 0x43c4f3bb in gtk_real_button_released (button=0x80d5f28)
    at gtkbutton.c:1205
#11 0x4f609691 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#12 0x4f5f54f7 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#13 0x4f5f5160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#14 0x4f6089be in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#15 0x4f608157 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#16 0x4f608454 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#17 0x43c4e375 in gtk_button_released (button=0x80d5f28) at
gtkbutton.c:710
#18 0x43c4f23b in gtk_button_button_release (widget=0xffffffff,
    event=0xffffffff) at gtkbutton.c:1121
#19 0x43d08854 in _gtk_marshal_BOOLEAN__BOXED (closure=0x809f630,
    return_value=0xbfffe200, n_param_values=2, param_values=0xbfffe330,
    invocation_hint=0xbfffe228, marshal_data=0x43c4f200) at
gtkmarshalers.c:82
#20 0x4f5f54f7 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#21 0x4f5f5160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#22 0x4f608bc5 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#23 0x4f607f2e in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#24 0x4f608454 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#25 0x43e063b5 in gtk_widget_event_internal (widget=0x80d5f28,
event=0x8128bc8)
    at gtkwidget.c:3563
#26 0x43d06df2 in gtk_propagate_event (widget=0x80d5f28, event=0x8128bc8)
    at gtkmain.c:2344
#27 0x43d05b36 in gtk_main_do_event (event=0x8128bc8) at gtkmain.c:1582
#28 0x43bba8e5 in gdk_event_dispatch (source=0xffffffff, callback=0,
    user_data=0x0) at gdkevents-x11.c:2133
#29 0x4f31fe4a in g_main_depth () from /usr/lib/libglib-2.0.so.0
#30 0x4f320f28 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#31 0x4f321260 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#32 0x4f3218a3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#33 0x43d05403 in gtk_main () at gtkmain.c:1172
#34 0x43f9f8fe in bonobo_ui_main () from /usr/lib/libbonoboui-2.so.0
#35 0x08054263 in main (argc=1, argv=0xbfffef94) at main.c:151
Comment 5 Christopher Aillon 2004-04-02 00:49:46 EST
Also note the new versions I was using to get the above trace:

> rpm -q gtkam gphoto2
gtkam-0.1.10-4
gphoto2-2.1.4-2.1
Comment 6 Tim Waugh 2004-04-02 03:26:38 EST
Try 0.1.10-5.
Comment 7 Christopher Aillon 2004-04-02 17:28:07 EST
Nope, that exits right after saving too.
Comment 8 Tim Waugh 2004-04-05 19:01:26 EDT
What's #0,#1,#2 in the backtrace from 0.1.10-5?  I guess it's at the
'system()' line?
Comment 9 Elaine Normandy 2004-04-09 12:51:33 EDT
I am also seeing this behavior when saving photos from my Kodak
DX3900.  Let me know if you need additional information.  I use my
digital camera a lot!
Comment 10 Tim Waugh 2004-04-20 13:58:18 EDT
Does running 'MALLOC_CHECK_=2 gtkam' show anything more useful?

See also bug #121317.
Comment 11 Tim Waugh 2004-04-21 06:40:38 EDT
On the off-chance that 0.1.11 (released last month) fixes the problem,
please could you try this package?:

ftp://people.redhat.com/twaugh/tmp/gtkam/gtkam-0.1.11-0.1.i386.rpm
Comment 12 Elaine Normandy 2004-04-21 09:26:22 EDT
It works!  I was just able to save the photos without the application
crashing, and then delete the photos.  Thanks!
Comment 13 Tim Waugh 2004-04-21 12:19:40 EDT
Great.  How about bug #121326 -- do you see files saved in the wrong
place with 0.1.11?
Comment 14 Christopher Aillon 2004-04-21 12:47:49 EDT
Sorry for not being more responsive, I've been moving and am finally
getting settled in.

Yes, this does work with 0.1.11 as does bug 121326.

One thing I noticed though is that the list of files to be saved no
longer appears in the right hand side of the save dialog, but I'll
trade that for these two bugs fixed.  ;-)
Comment 15 Elaine Normandy 2004-04-21 12:50:28 EDT
Files going to correct place.

Note You need to log in before you can comment on or make changes to this bug.